import {
  allGraphRegister,
  containerRef,
  isAllMounted,
  startNow,
} from "./procedureFunc.ts";
import { nextTick } from "vue";

let ro: ResizeObserver | null = null;

export function onRemoved() {
  if (ro) {
    ro.disconnect();
    ro = null;
  }
  allGraphRegister.value = [];
}

export function onNew() {
  nextTick(function () {
    if (!ro) {
      ro = new ResizeObserver(function () {
        startNow();
      });
      ro.observe(containerRef.value, { box: "border-box" });
      startNow();
    }
  }).then(function () {
    isAllMounted.value = true;
  });
}
